$(document).ready(function() {

    // Global variables and functions
//    alert(location.protocol + '//' + location.host);
//    alert(document.URL);
//    alert(document.referrer); 
    var isDevelop = location.host.search(/kern-aarau.ch/i) < 0 ? 1 : 0;
    var toTopButton = '<div class="go-to-top"><a title="Zum Seitenanfang" href="' + location.pathname + '#top"><div class="top-button"><b>^</b></div></a></div>';
    var toTopButtonH2 = '<div class="go-to-top"><a title="Zum Seitenanfang" href="' + location.pathname + '#top"><div class="top-button-h2"><b>^</b></div></a></div>';
    
//	var isVideo = function(image) {
//        return image.attr('href').search(/\.mp4|\.wmv|video|youtube\.com|viemo\.com/);
//    };
    var btnPath = 'typo3conf/ext/kernaarau/Resources/Public/Icons/';
    var btnVideo = btnPath + 'download-mp4.png';
//    var btnVideoH = btnPath + 'download-mp4.png';
    var btnPdf = btnPath + 'download-pdf.png';
    var btnWeb = btnPath + 'download-web.png';
//    var btnPdfH = btnPath + 'download-pdf.png';
//    var playBtnSize = 75;   
    var btnSize = 32;   
    var downloadBtn = function(title, href, src) {
    	return '<div class="play-video"><a target="_blank" href="' + href + '" title="' + title + '">' +
            '<img class="play-button" src="' + src + '"' +
                'width="' + btnSize + '" heigh="' + btnSize + '" />' +
			'</a></div>';
    };
    // History
//    alert(history.state);
/*    var text = ''; 
    function printURLs(item, index) {
      text += index + ": " + item + "<br>"; 
    }
    var arrHistory = window.history;
//    arrHistory.forEach(printURLs);
    alert(arrHistory[0]); */
    
    var $tabs = $('#ka-jquery-tabs li');
    var $contents = $('.ka-tab-content');
    $tabs.click(function(event) {
        event.preventDefault();
        if ($(this).hasClass('active')) return;
        $tabs.removeAttr('class');
        $(this).addClass('active');
        $contents.removeClass('ka-tab-active').hide();
        $('#ka-jquery-tabs').find($(this).find('a').attr('href')).addClass('ka-tab-active').fadeIn('slow');
    });
    
  $('div.header').each(function(i) {
    if (isDevelop) {
      $(this).css('background-color', '#b6d0b4');
    }
  });
//    $('#gallery').nivoSlider({pauseTime:4000});
	$('div#alpha-bottom').each(function() {
		if ($(this).offset().top < $(window).height()) {
			$(this).hide();
			} else {
			$(this).show();
		}  
	});

    var pageTitle = $('h2.csc-firstHeader').html(); // alert('Title = ' + pageTitle);
    $('div.pagetitle h2').html(pageTitle);
    $('div.csc-default').removeAttr('style');
    $('div.csc-textpic-imagerow').removeAttr('style');
    $('div.csc-textpic-intext-right-nowrap').each(function() {
        $(this).find('div.csc-textpic-imagewrap').css('padding-left', '0px');
        $(this).find('img').css('margin-left', '0px');
        var marginRight = parseInt($(this).find('div.csc-textpic-imagewrap').siblings(':not([class])').css('margin-right')) + 10;
        $(this).find('div.csc-textpic-imagewrap').siblings(':not([class])').css('margin-right', marginRight.toString() + 'px');
        $(this).find('div.csc-textpic-imagewrap').css('margin-top', '39px');
        $(this).find('div.csc-textpic-text').css({position: 'relative', marginTop: '35px'});
        $(this).find('div.csc-textpicHeader-25').css({position: 'absolute', top: '-35px', width: '720px'});
    });    
    $('div.csc-textpic-intext-right').each(function() {
          if ($(this).find('ul').length < 1 && $(this).find('dl').length < 1) {
              $(this).find('div.csc-textpic-imagewrap').css('padding-left', '0px');
              $(this).find('img').css('margin-left', '0px');
          }
    });    
    $('div.csc-frame-indent6633').each(function() {
        var hCE = parseInt($(this).prev().outerHeight(true));
        var hI1 = parseInt($(this).prev().find('div.csc-textpic-imagewrap img').outerHeight());
        var hI2 = parseInt($(this).find('div.csc-textpic-imagewrap img').outerHeight());
        var hTx = parseInt($(this).prev().find('div.csc-textpic-text').outerHeight());
        var marginRight = parseInt($(this).prev().find('div.csc-textpic-imagewrap img').outerWidth()) + 2;
        $(this).css('margin-right', marginRight + 'px');
        var deltaH = hI1 - hI2 - hTx;
        var marginTop = -(hCE - 33 - hI1 + hI2);
        if (deltaH < 0) {
            marginTop -= deltaH;
        }
        if (marginTop < 0) {
            $(this).css('margin-top', marginTop + 'px');
        }
    });
    $('div.middle div.csc-default').each(function() {
        if ($(this).attr('id') != 'c1057' && $(this).find('h2.csc-firstHeader').length == 0 && $(this).find('div.csc-header > h5').length == 0) {
            if ($(this).find('div.csc-textpicHeader-25').length > 0) {
                $(this).children().eq(0).before(toTopButtonH2);     
            } else {
                $(this).children().eq(0).before(toTopButton);
            }
    	}
    });
    $('div.middle').each(function() {
        $(this).find('a[class^=download-] > img').each(function() {  
            var img = $(this).parent('a');
//            alert(img.attr('class'));
            img.parent().css('position', 'relative');
            var btn = (img.attr('class') == 'download-pdf') ? btnPdf : (img.attr('class') == 'download-mp4') ? btnVideo : btnWeb;
            var top = 6;
            var left = 6 + $(this).offset().left - img.parent().offset().left;
            $(this).parent().parent().append(downloadBtn(img.attr('title'), img.attr('href'), btn));
            img.next('div.play-video').css({          
                position: 'absolute',
                top: top + 'px',
                left: left + 'px',
                height: btnSize + 'px',
                width: btnSize + 'px'
            });
        });
    });
    
    // Scrollverhalten Homeseite / Static / Fixed.
    var headerHeight = $('div.header').outerHeight(true);
    var hrefParts = document.URL.split('#'); // alert(document.URL);
    var hashSection = (hrefParts.length == 2 && hrefParts[1].substr(0, 1) == 'c') ? '#' + hrefParts[1] : '#top'; // alert(hashSection);
    var topSection = hashSection != '#top' ? $(hashSection).offset().top : 0; // alert(hashSection + ' | ' + topSection);
//    var bottomContent = $('div.clear-content').offset().top; // alert(hashSection + ' | ' + topSection);
    var isHome = pageTitle.search(/Willkommen/i) >= 0;
    $(window).resize(function() {
        var hWindow = $(window).height();
        var hHeader = $('div.header').outerHeight();
        var hFooter = $('div.footer').outerHeight();
        var hMenuleft = $('div.menuleft').outerHeight();
        var hMiddle = $('div.middle').height(); // alert(hMiddle + ' | ' + hMenuleft);

        //        var isHome = pageTitle.search(/Willkommen/i) >= 0;
        $('div.frame').each(function() {
            // Für Homeseite. Obsolet.
/*            if (pageTitle.search(/Tillkommen/i) >= 0) {
                $('div.pagetitle').hide();
                $('div.header').css({'position': 'fixed'});
                $('div.content').css({'margin-top': $('div.header').outerHeight() + 'px'});
                $('div.menuleft').css({'position': 'fixed', 'top': ($('div.header').outerHeight() + 15) + 'px'});
                $('div.middlecontent').css({'min-height': ($(window).height() - $('div.header').outerHeight() - $('div.footer').outerHeight() - 8) + 'px'});
                $('div.middle').css({'margin-top': '0px'});
                $('div.footer').css({'position': 'fixed', 'bottom': '5px'});
                $('hr.bottomshadow').css({'position': 'fixed', 'bottom': '0px'}); */
            // Für Static.
//            } else if (hashSection != '#top' || $(this).height() <= $(window).height()
//            } else if ($(this).height() <= $(window).height()
            if (hHeader + 15 + hMenuleft + hFooter > hWindow || hMiddle <= hWindow - hHeader) {
                $('div.header').css({'position': 'relative'});
                $('div.content').css({'margin-top': '0px', 'padding-bottom': '0px'});
                $('div.menuleft').css({'position': 'relative', 'top': '-6px'});
                $('div.pagetitle').css({'position': 'relative', 'top': '10px'});
                $('div.middlecontent').css({'min-height': (hWindow - hHeader - hFooter - 1) + 'px'});
//                $('div.middlecontent').css(hMiddle + 10 < hMenuleft ? {'height': (hMenuleft - 10) + 'px'} : {'height': (hMiddle + 10) + 'px'});
//                $('div.middle').css(isHome ? {'margin-top': '-2px'} : {'margin-top': '-2px'});
                $('div.middle').css({'margin-top': '-5px'});
                $('div.footer').css({'position': 'relative'});
//                $('div.footer').css({'position': 'relative', 'bottom': '6px'});
//                $('hr.bottomshadow').css({'position': 'relative'});
//                $('hr.bottomshadow').css({'position': 'relative', 'bottom': '0px'});
                if (topSection) {
                    $(document).scrollTop(topSection - headerHeight);
                }
            // Für Fixed.
            } else {
                $('div.header').css({'position': 'fixed'});
                $('div.content').css({'margin-top': hHeader + 'px', 'padding-bottom': '48px'});
                $('div.menuleft').css({'position': 'fixed', 'top': (hHeader + 9) + 'px'});
                $('div.pagetitle').css({'position': 'fixed', 'top': (hHeader + 25) + 'px'});
                $('div.middlecontent').css({'min-height': (hWindow - hHeader - hFooter - 30) + 'px'});
                $('div.middle').css({'margin-top': '8px'});
                $('div.footer').css({'position': 'fixed', 'bottom': '6px'});
//                $('hr.bottomshadow').css({'position': 'fixed', 'bottom': '0px', 'display': 'block'});
                $('hr.bottomshadow').css({'position': 'fixed', 'bottom': '0px'});
                if (topSection) {
                    $(document).scrollTop(topSection - headerHeight - 52);
                }
            }
        });
    }).resize();
    
    // ????
    var isFixed = ($('div.header').css('position') == 'fixed') ? 1 : 0;
 
    // Kern Logo in Header umschalten.
    $('div.logo-kern img').mouseover(function() {
        this.src = $(this).attr('src').replace(/(0|2)\./g, '2.');
    });
    $('div.logo-kern img').mouseleave(function() {
        this.src = $(this).attr('src').replace(/(0|2)\./g, '0.');
    });

    // ????
    $('div.middle h2.csc-firstHeader').each(function() {
        if ($(this).text().substr(0, 1) == '▾') {
            $(this).addClass('ka-switchable');
        }
    });
    
    // Abschnitt bzw. Sidemenus mit H2 verbergen / anzeigen.
    $('h2:contains(▾), h2:contains(▸)').click(function(event) {
        if ($(this).parent().attr('class') == 'pagetitle') {
            $('div.middle h2').parent().siblings().slideToggle();
        } else {
            $(this).next('ul, div.searchbox').slideToggle();
        }
        var txt = $(this).text();
        $(this).text('');
        if (txt.substr(0, 1) == '▸') {
            $(this).attr('style', 'cursor: n-resize;');
            return txt.replace(/▸/, '▾');
        } else {
            $(this).attr('style', 'cursor: s-resize;');
            return txt.replace(/▾/, '▸');
        }
    });
    
    // ????
    $('h2:contains(▾), h2:contains(▸)').click(function(event) {
        $(this).text(event.result);
    });
    
    // Archivverzeichnis mit H4 verbergen / anzeigen.
    $('h5:contains(▾), h5:contains(▸)').click(function(event) {
        $(this).next('ul').slideToggle();
        var txt = $(this).text();
        $(this).text('');
        if (txt.substr(0, 1) == '▸') {
            $(this).attr('style', 'cursor: n-resize;');
            return txt.replace(/▸/, '▾');
        } else {
            $(this).attr('style', 'cursor: s-resize;');
            return txt.replace(/▾/, '▸');
        }
    });
    
    // ????
    $('h5:contains(▾), h5:contains(▸)').click(function(event) {
        $(this).text(event.result);
    });
    
    // ????
    $('div#ka-archive > h5').each(function() {
        var txt = $(this).text();
        $(this).text(txt.replace(/▾/, '▸'));
        $(this).css('cursor', 's-resize');
        $(this).next('ul').hide();
    });    

    // Inhaltsverzeichnis: Sprung zum angeklickten Abschnitt.
    $('a.news-list, a.news-list-act').click(function(event) {
        event.preventDefault();
        var hrefParts = $(this).attr('href').split('#');
        $(document).scrollTop($('#' + hrefParts[1]).offset().top - headerHeight - (isFixed ? 52 : 0));
    });
    

    $('.menuleft a:empty').text('o');
    
    $('li.lastupdated:contains(#c)').each(function() {
        var hash = $(this).find('span').text();
        var href = $(this).find('a').attr('href');
        $(this).find('a').attr('href', href + hash);
        $(this).find('span').hide();
    });    
    
    $('div.follow-on-call').each(function() {
        $('div#c15 h2, div#c383 h2, div#c688 h2').each(function() {
            var txt = $(this).text();
            $(this).text(txt.replace(/▾/, '▸'));
            $(this).css('cursor', 's-resize');
            $(this).parent('.csc-header').eq(0).nextAll().each(function() {
                $(this).hide();
            });
        });    
    });    
     
    $('a>b:contains(http://),a:contains(http://)').css({letterSpacing: '0px', fontWeight: 'normal'});
    $('a[title*=internen]').removeAttr('title');
//  $('a.mail').attr('title', 'Email senden');
  
//  $('p, p span, td span').removeAttr('style');
  
  $('table#zebra td').removeAttr('style');
  $('table#zebra td p').removeAttr('style');
  $('table#zebra td span').removeAttr('style');
//  $('table#zebra td b').css('font-weight', 'normal');
  $('table#zebra td[align="center"]').attr('align', 'left');
  $('table#zebra tr:first td').css({fontWeight: 'bold', color: '#444444'});
  $('table#zebra tr').each(function(i) {
    if (i % 2 == 0) {
      $(this).css('background-color', '#D2DCF2');
    }
  });
  $('div#c356 h2.csc-firstHeader').each(function() {
    var myQuerry = document.URL.match(/\?q=(.+)/);
        var myQuerry = decodeURIComponent(myQuerry[1]).split('&');
    $(this).html('Suche nach <span class="red">' + myQuerry[0].replace(/\+/g, ' ') + '</span> auf dieser Webseite');
  });
  $('div#c356').css('margin-bottom', '-20px');
  $('div#c15 h2.csc-firstHeader').each(function() {
    var myQuerry = document.URL.match(/\?sw=(.+)/);
        if (myQuerry) {
            var myQuerry = decodeURIComponent(myQuerry[1]).split('&');
        $(this).html('▸ Suche nach <span class="red">' + myQuerry[0].replace(/\+/g, ' ') + '</span> in Produkten');
        }
  });
    $('div.tx-powermail-pi1 legend').each(function() {
        $(this).html($(this).html().replace('*', '<span class="powermail_mandatory">*</span>'));
    });

    // Prevent Enter Key Submitting Forms
    $("div.middle form input, div.middle form select").keydown(function (e) {
        if (e.keyCode == 13) {
            var inputs = $(this).parents("form").eq(0).find(":input");
            if (inputs[inputs.index(this) + 1] != null) {                    
                inputs[inputs.index(this) + 1].focus();
            }
            e.preventDefault();
            return false;
        }
    });

    // Init Contactform Validation
    var okCount = 0;
    var retext = /[^@#$£!]/;
    var remail = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    var rearea = /[^`]/;
/*    var validate = function(ival, len = 0, reg = "") {
        if (len == 0) {
             var res = !reg.test(ival);
        } elseif (reg == "") {
            var res = ival.length < 10;
        } else {
            var res = ival.length < len || ival.match(reg) !== null;
        }
        return res;
    } */
    $("form#contactform input#uid27").parent().append(
        '<div class="selfile"><p><b>Anhäge 1 bis 3 hinzufügen - <a href="javascript:location.reload();">Eingaben OK?</a></b></p>' +  
        '<p>Anhänge können Sie hier hinzufügen, wenn alle Eingaben OK sind.<br />' +
        'Bei nachträglicher Bearbeitung beachten, dass die Einträge gültig bleiben.</p></div>');

    // Inhaltsverzeichnis: Sprung zum angeklickten Abschnitt.
 /*   $('siv.selfile').click(function(event) {
        event.preventDefault();
        location.reload();
    }); */
/*    $("form#contactform label span.powermail_mandatory").each(function(i) {
        $(this).parent().parent().append('<p class="valmsg">?'+i+'</p>');
        var ival = $(this).parent().parent().children().eq(1).val().trim();
        var valid = ["ival.length < 3 || ival.match(/[@#$£!]/gi)", "!remail.test(ival)", "ival.length < 10"];
        if (ival.length < 3 || ival.match(/[@#$£!]/gi)) {
            $(this).parent().parent().children().eq(1).val("");
            $(this).parent().parent().children("p.valmsg").text("Eingabe erforderlich" + i); // $("form#contactform input[type='text'], form#contactform input[type='email']").index(this));
            $(this).parent().parent().children("p.valmsg").css("color", "red");
        } else {
            $(this).parent().parent().children().eq(1).val(ival);
            $(this).parent().parent().children("p.valmsg").text("OK");
            $(this).parent().parent().children("p.valmsg").css("color", "green");
            okCount += 1;
        }
        $("div.selfile").css("visibility", okCount < 6 ? "visible" : "hidden");
    }); */
    $("form#contactform input[type='text']").each(function() {
        $(this).parent().append('<p class="valmsg">?</p>');
        var ival = $(this).val().trim();
        var ismatch = ival.length < 2 || ival.match(/[@#$£!]/gi);
        if (ismatch) {
            $(this).val("");
            $(this).next("p.valmsg").text("Eingabe erforderlich");
            $(this).next("p.valmsg").css("color", "red");
        } else {
            $(this).val(ival);
            $(this).next("p.valmsg").text("OK");
            $(this).next("p.valmsg").css("color", "green");
            okCount += 1;
        }
        $("div.selfile").css("visibility", okCount < 6 ? "visible" : "hidden");
    });
    $("form#contactform input[type='email']").each(function() {
        $(this).parent().append('<p class="valmsg">?</p>');
        var ival = $(this).val().trim();
        if (!remail.test(ival)) {
            $(this).val("");
            $(this).next("p.valmsg").text("Eingabe erforderlich");
            $(this).next("p.valmsg").css("color", "red");
        } else {
            $(this).val(ival);
            $(this).next("p.valmsg").text("OK");
            $(this).next("p.valmsg").css("color", "green");
            okCount += 1;
        }
        $("div.selfile").css("visibility", okCount < 6 ? "visible" : "hidden");
    });
    $("form#contactform textarea").each(function() {
        $(this).parent().append('<p class="valmsg">?</p>');
        var ival = $(this).val().trim();
        if (ival.length < 20) {
            $(this).val("");
            $(this).next("p.valmsg").text("Eingabe erforderlich");
            $(this).next("p.valmsg").css("color", "red");
        } else {
            $(this).val(ival);
            $(this).next("p.valmsg").text("OK");
            $(this).next("p.valmsg").css("color", "green");
            okCount += 1;
            $("div.selfile").css("visibility", okCount < 6 ? "visible" : "hidden");
        }
        $("div.selfile").css("visibility", okCount < 6 ? "visible" : "hidden");
    });

    // Validate Contactform
    $("form#contactform input[type='text']").each(function() {
        $(this).change(function() {
            var ival = $(this).val().trim();
            var ismatch = ival.length < 2 || ival.match(/[@#$£!]/gi);
            if (ismatch) {
                 $(this).val("");
                 $(this).next("p.valmsg").text("Eingabe erforderlich");
                 $(this).next("p.valmsg").css("color", "red");
                 okCount -= 1;
             } else {
                 $(this).val(ival);
                 $(this).next("p.valmsg").text("OK");
                 $(this).next("p.valmsg").css("color", "green");
                 okCount += 1;
             }
             $("div.selfile").css("visibility", okCount < 6 ? "visible" : "hidden");
        });
    });
    $("form#contactform input[type='email']").each(function() {
        $(this).change(function() {
            var ival = $(this).val().trim();
            if (!remail.test(ival)) {
                $(this).val("");
                $(this).next("p.valmsg").text("Eingabe erforderlich");
                $(this).next("p.valmsg").css("color", "red");
                okCount -= 1;
            } else {
                $(this).val(ival);
                $(this).next("p.valmsg").text("OK");
                $(this).next("p.valmsg").css("color", "green");
                okCount += 1;
            }
            $("div.selfile").css("visibility", okCount < 6 ? "visible" : "hidden");
        });
    });
    $("form#contactform textarea").each(function() {
        $(this).change(function() {
            var ival = $(this).val().trim();
            if (ival.length < 20) {
                $(this).val("");
                $(this).next("p.valmsg").text("Eingabe erforderlich");
                $(this).next("p.valmsg").css("color", "red");
                okCount -= 1;
            } else {
                $(this).val(ival);
                $(this).next("p.valmsg").text("OK");
                $(this).next("p.valmsg").css("color", "green");
                okCount += 1;
            }
            $("div.selfile").css("visibility", okCount < 6 ? "visible" : "hidden");
        });
    });
    
    // Submit Button Beschriftung bei Übermittlung
    $("div.middle form").submit(function(){
        $("div.middle form input[type=submit]").val("Bitte warten - Übermittlung läuft...");
    });

    //
    $('div#table-updated').each(function() {
        var lastUpdated = $(this).html();
        $(this).hide();
        $('div#footer-updated').each(function() {
            $(this).html(lastUpdated);
        });
    });
    
//    $('#gallery').nivoSlider({pauseTime:4000});
//    $('div.middle a.light').lightBox();
//    $('div.middle').children('div[id^=c]').find('h2').each(function() { alert($(this).html()) });
    $('div.middle a[target=thePicture]').each(function() {
        if ($('div.gallery').length == 0) {
            var header = $(this).parents('div[id^=c]');
            while (header.find('h2').length == 0) {
                header = header.prev();
            }
            var tableSection = $(this).parents('tr[id^=t]').attr('id');
            var section = tableSection ? tableSection : $(this).parents('div[id^=c]').attr('id');
            var caption = $(this).parents('.csc-textpic-image').find('.csc-textpic-caption');
            var dataCapt = caption.text();
            var linkTitle = $(this).find('img').length > 0 ? 'Vergrössert anzeigen' : 'Bild anzeigen';
            var src = $(this).attr('href').replace(/[*:]/g, '');
            var titparts = $(this).attr('title').split('|');
            if (titparts.length > 1) {
                var dataTitle = '<a class=&quot;download&quot; href=&quot;' + '####' + '&quot; title=&quot;' + '££££' + '&quot;>';  
                dataTitle += '<b class=&quot;lb-header&quot;>';
                if (titparts[3]) {
                    dataTitle += titparts[2].match(/<u>(.+)<\/u>/) ? '' :  titparts[3] + ' - ';
                    dataTitle += titparts[2].replace(/<u>|<\/u>/g, '');
                } else {
                    dataTitle += header.find('h2').text().replace(/"/g, "''");
                }  
                if (dataTitle.lastIndexOf('(*)') > 0) {
                    dataTitle += ' auf Anfrage erhältlich</b></a>';
                    dataTitle = dataTitle.replace('####', 'kern/kontakte/kontaktformular.html').replace('££££', 'Zur Seite: kontakte/kontaktformular');
                    linkTitle =  'Bild anzeigen';
                } else if ($(this).text().lastIndexOf('(*)') > 0) {
                    dataTitle += ' (*) auf Anfrage erhältlich</b></a>';
                    dataTitle = dataTitle.replace('####', 'kern/kontakte/kontaktformular.html').replace('££££', 'Zur Seite: kontakte/kontaktformular');
                    linkTitle =  'Bild anzeigen';
                } else {
                    dataTitle += ' &hearts;</b></a>';
                    dataTitle = dataTitle.replace('####', titparts[0]).replace('££££', titparts[1]);
                } 
            } else {
                var dataTitle = '<b class=&quot;lb-header&quot;>' + header.find('h2').text().replace(/"/g, "''") + ' &hearts;</b>';
            }  
            dataTitle += ' <span class=&quot;lb-section&quot;>[' + section + ']</span>';
            if ($(this).find('img').length > 0 && titparts[2] == '*') {
                dataTitle += '<br />' + dataCapt.replace(/[\{\[\]\}]/g, '').replace(/"/g, "''");
            } else {
                dataTitle += titparts[4] ? '<br />' + titparts[4].replace(/"/g, "''") : '<br />' + $(this).text().replace(/"/g, "''");
            }
            var param = 'href="' + src + '" data-lightbox="images" data-title="' + dataTitle + '" title="' + linkTitle + '" class="download-jpg"';
            $(this).replaceWith('<a ' + param + '>' + $(this).html() + '</a>');
        }
    });
    $('dd.csc-textpic-caption').each(function() {
        if ($(this).html().match(/\{.+\}/)) {
            $(this).css('width', $(this).parents('div.csc-textpic-imagerow').innerWidth() - 8);
        }
        $(this).html($(this).html().replace(/\[.+?\]/g, '').replace(/[\{\}]/g, ''));
    });
    $('body div#lightbox').mouseover(function() {
        $('body div#lightbox .lb-number').css('color', '#800000');
        $('body div#lightbox .lb-overlay').css('border', '1px solid #800000');
    });
    $('body div#lightbox').mouseleave(function() {
        $('body div#lightbox .lb-number').css('color', '#0e00bd');
        $('body div#lightbox .lb-overlay').css('border', '1px solid #0e00bd');
    });
    $('div.go-to-top > a, div.footer-totop > a').click(function(evt) {
        if ($('body div#lightbox').css('display') == 'block') {  
            evt.preventDefault();
            $('body div#lightbox').remove();
            location.href = $(this).attr('href');
            location.reload();
        }
    });
    $('div.middle a[target=_blank]').each(function() {
        if ($('div.gallery').length == 0) {
            var title = $(this).attr('title');
            var fileType = title.match(/Herunterladen:\s?(JPG|PNG)/);             
            if (fileType[1] == 'JPG') {
                var $header = $(this).parents('div[id^=c]');
                while ($header.find('h2').length == 0) {
                    $header = $header.prev();
                }
                var file = $(this).attr('href');
                var dataTitle = header + ($caption.length > 0 ? '<br />' + $caption.html() : '');
                var linkTitle = '???Vergrössert anzeigen???';
                var img = $(this).html();
                $(this).replaceWith('<a href="' + file + '" data-lightbox="images" data-title="' + dataTitle + '" title="' + linkTitle + '">' + img + '</a>');
            }
        }
    });

    // Powermail Kontakt: c98, Shop: c152
/*    $("div#c98 #powermaildiv_uid23")
        .html('<label for="uid23">Anhang 1</label><input type="file" name="tx_powermail_pi1[uid23]" class="powermail_contactform powermail_file powermail_uid23" id="uid23" size="25" tabindex="10">'); 
    $("div#c98 #powermaildiv_uid26")
        .html('<label for="uid26">Anhang 2</label><input type="file" name="tx_powermail_pi1[uid26]" class="powermail_contactform powermail_file powermail_uid26" id="uid26" size="25" tabindex="11">'); 
    $("div#c98 #powermaildiv_uid27")
        .html('<label for="uid27">Anhang 3</label><input type="file" name="tx_powermail_pi1[uid27]" class="powermail_contactform powermail_file powermail_uid27" id="uid27" size="25" tabindex="12">'); 
    
    // Bestellformular
    $("div#c152 .tx-powermail-pi1_confirmation p")
        .html("Bitte überprüfen Sie Ihre Angaben!<br />Lieferung nur bei funktionierender Email."); 
    $("div#c152 .tx-powermail-pi1_confirmation_back").val("Zurück zum Bestellformular"); 
    $("div#c152 .tx-powermail-pi1_confirmation_submit").val("Definitiv bestellen");
    
//    $("div#c98 .tx-powermail-pi1_thx")
*/    
 }); // Ready
